use Test::More;
plan tests => 5;

use_ok(qq(XML::SAX::Writer));
use_ok(qq(XML::SAXDriver::NYTimes));
use_ok(qq(Log::Dispatch::Screen));

my $output  = "";
my $writer  = XML::SAX::Writer->new(Output=>\$output);
my $nytimes = XML::SAXDriver::NYTimes->new(Handler=>$writer);

$nytimes->set_log_dispatcher(Log::Dispatch::Screen->new(name=>"log",
							min_level=>"debug",
							stderr=>1));

ok($nytimes->set_cookies_file("mozilla","./t/cookies.txt"));
ok($nytimes->fetch_section("opinion"));
